Bug 740907 - Deployment is created even if deployable validation fails
Summary: Deployment is created even if deployable validation fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Tomas Sedovic
QA Contact: wes hayutin
URL: https://10.11.230.102/conductor/pools
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 18:02 UTC by wes hayutin
Modified: 2012-05-15 21:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 21:57:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0583 normal SHIPPED_LIVE new packages: aeolus-conductor 2012-05-15 22:31:59 UTC

Description wes hayutin 2011-09-23 18:02:08 UTC
Description of problem:

recreate:
1. import an ec2 ami
2. create a deployable def, in this definition use a hwp that does not exist in the system
3. launch the deployable... launch validations fails and user is prompted w/ an error.. could not launch.

A deployment is still created in the ui.. that should not be the case[root@unused ~]# rpm -qa | grep aeolus
aeolus-conductor-doc-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-conductor-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-all-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-conductor-devel-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-configure-2.0.2-4.20110921102958gitcaa9608.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110922120732gita0b9a44.fc15.noarch
[root@unused ~]#

Comment 1 wes hayutin 2011-09-28 16:38:46 UTC
making sure all the bugs are at the right version for future queries

Comment 3 wes hayutin 2011-11-10 14:05:07 UTC
import vs build ec2 images is not important here..
just make sure you get a failed deployment

Comment 4 Tomas Sedovic 2011-11-14 16:36:15 UTC
The patch is on the list: https://fedorahosted.org/pipermail/aeolus-devel/2011-November/006639.html

Comment 5 wes hayutin 2011-11-28 01:17:30 UTC
removing bugs from ce-sprint from the tracker.. you can find these bugs by querying the "qa whiteboard" for ce-sprint-60

Comment 6 Tomas Sedovic 2011-12-21 16:28:51 UTC
Fixed in commit: f1e6529a90836da339d053a0299db074085e8228

Comment 7 Shveta 2011-12-26 16:09:53 UTC
Launch button is disabled if deployable xml is made with not existing hwp.

"frontend: Hardware profile hwp2 specified in XML doesn't exist."

rpm -qa|grep aeolus
aeolus-conductor-doc-0.8.0-0.20111222233342gitd98cb57.el6.noarch
aeolus-configure-2.5.0-0.20111222173430git17b704a.el6.noarch
rubygem-aeolus-image-0.3.0-0.20111222173411gitc13b654.el6.noarch
rubygem-aeolus-cli-0.3.0-0.20111222173356git3cd6277.el6.noarch
aeolus-all-0.8.0-0.20111222233342gitd98cb57.el6.noarch
aeolus-conductor-0.8.0-0.20111222233342gitd98cb57.el6.noarch
aeolus-conductor-daemons-0.8.0-0.20111222233342gitd98cb57.el6.noarch

Comment 9 errata-xmlrpc 2012-05-15 21:57:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0583.html


Note You need to log in before you can comment on or make changes to this bug.